<?php

function ItemsToArr($items)
{
    $arr = array();
    $i = 0;
    if (is_array($items))
    {
        foreach ($items as $v)
        {
            $arr[$i] = $v;
            $i = $i + 1;
        }
    }
    else
        if (isset($items))
            $arr[0] = $items;
    return $arr;
}

function CrackDuneConfig(& $lang, & $tz)
{

    $s = shell_exec('cat /config/settings.properties');
    if (empty($s))
        return;
    $arr = explode("\n", $s);
    foreach ($arr as $line)
    {
        $a2 = explode('=', $line, 2);
        if (isset($a2[0]) && isset($a2[1]))
        {
            $param = trim($a2[0]);
            if(!isset($lang) && $param == 'interface_language')
            {
                $lang = trim($a2[1]);
            }
            else if (!isset($tz) && $param == 'time_zone')
            {
                $a2_2 = explode(':', trim($a2[1]), 2);
                if (isset($a2_2[0]) && is_numeric($a2_2[0]))
                    $tz = -$a2_2[0];
            }
        }
        if (isset($lang) && isset($tz))
        {
            hd_print("Crack config --> $lang $tz");
            return;
        }
    }
}

function SelectLang($lang)
{
    require_once('fhtv_lang.php');
    if (!isset($lang))
        return new Lang_DEF();
    else if ($lang == 'russian')
        return new Lang_RUS();
    else
        return new Lang_DEF();
}

function SplitString($str, $width = 70)
{
   $words = explode(' ', $str);
   $result = array();
   $line = '';
   for($i = 0; $i < sizeof($words); $i++)
   {
      if(mb_strlen($line,"UTF-8") + mb_strlen($words[$i],"UTF-8") + 2 > $width)
      {
         array_push($result, $line);
         $line = '';
      }
      $line .= $words[$i];
      $line .= utf8_encode(' ');
   }
   array_push($result, $line);
   return $result;
}

?>
