<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Alex
 * Date: 26.02.12
 * Time: 14:42
 * To change this template use File | Settings | File Templates.
 */

class Lang_DEF
{
    public $packet_name = 'Packet name:';
    public $unset = 'unset';
    public $notav = 'not available';
    public $expites = 'Expires:';
    public $unlim = 'unlimited';
    public $edit_subscription = 'Edit Subscription...';
    public $edit = 'Edit...';
    public $prot_cont = 'Protected content';
    public $control_server = 'Control server:';
    public $bitrate = 'Internet bandwidth:';
    public $http_caching = 'Start buffering (sec):';
    public $fwcaching = 'Protection from disconnect (sec):';
    public $timeshift = 'Time shift (hours):';
    public $show_in_main_screen = 'Show in main screen:';
    public $no = 'No';
    public $yes = 'Yes';
    public $auto = 'Auto';
    public $close = 'Close';
    public $current_pcode = 'Current code:';
    public $new_pcode = 'New code (if need change):';
    public $new_pcode2 = 'Confirmation:';
    public $ar = 'Max age rating:';
    public $ar_info = 'Min age rating:';
    public $ar_dlg = 'Change code and age rating for protected content';
    public $apply = 'Apply';
    public $cancel = 'Cancel';
    public $favorites = 'Favorites';
    public $all_channels = 'All channels';
    public $user_name = 'Subscription:';
    public $password = 'Password:';
    public $login_dlg = 'Enter subscription';
    public $parameters = 'Settings:';
    public $parameters_dlg = 'Settings';
    public $add_money = 'Add money...';
    public $activate_paycode_dlg = 'Activate PIN-code';
    public $pincode = 'PIN-code';
    public $balance = 'Balance:';
    public $hide_icons_in_epg = 'Hide channel icons';
    public $radio = 'Radio';

    public $err = 'Error';
    public $err_pcode = 'Wrong code for protected channel.';
    public $err_stream = 'Stream down or bandwidth not available.';
    public $err_pluginver = 'Wrong plugin version. Need to be updated.';
    public $err_login = 'Subscription is invalid, please check settings.';
    public $err_11 = 'Subscription is used elsewhere.';
    public $err_12 = 'Access denied. Probably subscription is used elsewhere.';
    public $err_pchannel = 'Protected channel.';
    public $err_mallformed_replay = array('Invalid data received from server');
    public $err_internet_connection_failed = array('Failed to connect to Internet.', 'Please check Internet connection.');
    public $err_internet_connection = 'Failed to connect to Internet';
    
    public $wrong_timezone = array('Can not retrieve local time zone.', 'Complete installation and reboot STB.');

    public $short_name = 'eng';
}

class Lang_RUS
{
    public $packet_name = 'Подписка на пакеты:';
    public $unset = 'неизвестно';
    public $notav = 'недоступно';
    public $expites = 'Истекает:';
    public $unlim = 'без ограничений';
    public $edit_subscription = 'Ввести подписку...';
    public $edit = 'Настроить...';
    public $prot_cont = 'Блокировка доступа';
    public $control_server = 'Сервер управления:';
    public $bitrate = 'Скорость интернет-соединения:';
    public $http_caching = 'Буферизация соединения (сек):';
    public $fwcaching = 'Защита от обрывов (сек):';
    public $timeshift = 'Задержка вещания (час):';
    public $show_in_main_screen = 'Показывать в главном окне:';
    public $no = 'Нет';
    public $yes = 'Да';
    public $auto = 'Авто';
    public $close = 'Закрыть';
    public $current_pcode = 'Текущий код доступа:';
    public $new_pcode = 'Новый код (если надо сменить):';
    public $new_pcode2 = 'Подтвердить новый код:';
    public $ar = 'Макс.рейтинг для свободного просмотра:';
    public $ar_info = 'Минимальный возрастной рейтинг транслируемых программ:';
    public $ar_dlg = 'Блокировка доступа (защита от детей)';
    public $apply = 'Сохранить';
    public $cancel = 'Отменить';
    public $favorites = 'Избранное';
    public $all_channels = 'Все каналы';
    public $user_name = 'Логин (номер подписки):';
    public $password = 'Пароль:';
    public $login_dlg = 'Ввод данных подписки';
    public $parameters = 'Параметры:';
    public $parameters_dlg = 'Параметры';
    public $add_money = 'Ввести оплату...';
    public $activate_paycode_dlg = 'Активировать PIN-код';
    public $pincode = 'PIN-код';
    public $balance = 'Баланс:';
    public $hide_icons_in_epg = 'Отключить иконки каналов';
    public $radio = 'Радио';

    public $err = 'Ошибка';
    public $err_pcode = 'Введен неверный код.';
    public $err_stream = 'Поток отключен или временно недоступен.';
    public $err_pluginver = 'Версия плагина устарела. Требуется обновление.';
    public $err_login = 'Неверный логин. Проверьте данные подписки.';
    public $err_11 = 'Доступ запрещен. Подписка уже используется.';
    public $err_12 = 'Доступ запрещен. Возможно, подписка уже используется.';
    public $err_pchannel = 'Защищенный канал.';
    public $err_mallformed_replay = array('Нераспознаваемый отклик от сервера.', 'Пожалуйста, сообщите об этой ошибке', 'службе технической поддержки сервиса.');
    public $err_internet_connection_failed = array('Нет связи с сервером.', 'Проверьте настройки интернет-подключения.', 'Попробуйте выключить и включить плеер.');
    public $err_internet_connection = 'Нет связи с сервером';

    public $wrong_timezone = array('Неизвестен часовой пояс.', 'Выполните настройку и перегрузите приставку.');

    public $short_name = 'rus';

    public function __construct()
    {
        HD::$MONTHS = array(
            'Январь',
            'Февраль',
            'Март',
            'Апрель',
            'Май',
            'Июнь',
            'Июль',
            'Август',
            'Сентябрь',
            'Октябрь',
            'Ноябрь',
            'Декабрь',
        );
  }
}

?>